Actualités & Annonces de l'équipe de développement et des administrateurs du forum.

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#1Messageil y a 9 mois

Bonjour à toutes et à tous :bjr:

Une mise à jour est annoncée


Bonjour la communauté,

Après un mois de travail acharné, nous sommes heureux de présenter cette mise à jour de la branche stable à vous notre communauté ! Veuillez prendre cette mise à jour avec précaution…
  • Nous avons mis à jour nos noyaux. Notez que la série 5.13 est marquée EOL et que la 5.12 a été supprimée !
  • Nous avons ajouté la RC1 de linux516 . Jusqu'à présent, seul le pilote Nvidia 470xx est basé sur ce nouveau noyau
  • Pipewire a été mis à jour vers 0.3.40 , ce qui apporte une meilleure compatibilité Jack
  • Gnome 41 est peut-être le plus gros ajout à cette mise à jour
  • Après un long moment, il y a une nouvelle version de Xorg-Server. la version 21,1 apporte de nouvelles fonctionnalités et pourrait interrompre la prise en charge des pilotes Nvidia . Alors faites-nous savoir si vous voyez des problèmes, avant que nous les abandonnions.
  • Enfin Nous avons la première version stable de LxQt !
  • Plasma a obtenu une autre version intermédiaire : 5.23.3 , avons KDE Frameworks 5.88.0 et Gear est à 21.08.3
  • Avec cette version 470.86, le pilote Nvidia pour les cartes Keppler a obtenu des correctifs supplémentaires.
    Nemo a reçu des reconstructions et d'autres packages Cinnamon ont reçu des mises à jour
  • Les deux application "pacman-miroirs" et "shiny-mirrors" ont des mises à jour de sorte que vous pouvez générer vos mirrorlists avec facilité
  • Firefox a obtenu la mise à jour vers 94.0.2
  • Thunderbird 91.3.1 a été ajouté
  • Auto-CPUFreq est maintenant à 1.7.1
  • LibreOffice a été renouvelé en 7.2.2
  • LibreOffice Still est maintenant à 7.1.7
  • Nous avons porté le Cosmic Desktop de System76 à Manjaro
  • Mesa a été mis à jour vers 21.2.4
  • VirtualBox a été mis à jour vers 6.1.28 1
  • Le pilote Nvidia est maintenant à 470.82.00
  • Kodi est maintenant à 19,2
  • Les deux PHP 7 et 8 sont mis à jour
  • Wine est à 6,21 1
  • De nombreuses mises à jour Python et Haskell ont été ajoutées
  • Autres mises à jour régulières en amont

N'hésitez pas à nous donner vos commentaires sur les modifications apportées aux dépôts.


-------------------------------------------------------------------------------------
Mise à jour possible par pamac, octopi ou par pacman (de préférence) :

sudo pacman -Syu
ou encore

sudo pamac update
-------------------------------------------------------------------------------------


Noyaux pris en charge :
  • - linux44 4.4.292
    - linux49 4.9.290
    - linux414 4.14.255
    - linux419 4.19.217
    - linux54 5.4.159
    - linux510 5.10.79
    - linux513 5.13.19 [EOL]
    - linux514 5.14.18
    - linux515 5.15.2
    - linux516 5.16-rc1 (expérimental)
    - linux510-rt 5.10.73_rt54
    - linux515-rt 5.15_rt17
Les changements en détail :
  • - community x86_64: 2522 nouveaux et 2544 paquets retirés
    - core x86_64: 66 nouveaux et 70 paquets retirés
    - extra x86_64: 1376 nouveaux et 1401 paquets retirés
    - kde-unstable x86_64: 415 nouveaux et 408 paquets retirés
    - multilib x86_64: 53 nouveaux et 50 paquets retirés
95 paquets supprimés:

csound-plugins dbeaver-plugin-bouncycastle epydoc erlang22-nox erlang-sdl galculator-gtk2 gnome-shell-extension-desktop-icons gnome-shell-extension-fly-pie haskell-hls-brittany-plugin haskell-hls-class-plugin haskell-hls-refine-imports-plugin haskell-hls-splice-plugin haskell-hls-tactics-plugin llvm10 llvm10-libs mcollective mysql-python opencolorio1 optional-lite puppet5 python2-backports.unittest_mock python2-cheroot python2-cherrypy python2-coverage python2-dateutil python2-docutils python2-execnet python2-feedparser python2-freezegun python2-jaraco python2-lockfile python2-pexpect python2-portend python2-ptyprocess python2-pytest-expect python2-pytest-forked python2-pytest-mock python2-pytest-timeout python2-pytest-xdist python2-pytz python2-pyxdg python2-rfc6555 python2-selectors2 python2-tempora python2-tox python2-u-msgpack python2-uritemplate python2-zc.lockfile python2-zope-event python2-zope-exceptions python2-zope-interface python2-zope-testing python2-zope-testrunner python-pyls-black python-pytorch-opt python-pytorch-opt-cuda python-sgmllib qps ruby27-augeas ruby27-concurrent ruby27-deep_merge ruby27-diff-lcs ruby27-hocon ruby27-hoe ruby27-httpclient ruby27-minitest ruby27-mocha ruby27-multi_json ruby27-power_assert ruby27-puppet-resource_api ruby27-rake ruby27-rdoc ruby27-rspec ruby27-rspec-core ruby27-rspec-expectations ruby27-rspec-mocks ruby27-rspec-support ruby27-semantic_puppet ruby27-shadow ruby27-sync ruby27-test-unit rustc-demangle rust-docs sids thunderbird-extension-enigmail tinyssh-convert vala-panel-appmenu-budgie vala-panel-appmenu-common vala-panel-appmenu-mate vala-panel-appmenu-registrar vala-panel-appmenu-translations vala-panel-appmenu-valapanel vala-panel-appmenu-xfce vala-panel-appmenu-xfce-gtk3 vigra-doc 
117 nouveaux paquets: (linux****-nvidia-470xx)

av1an                        Cross-platform command-line encoding framework with per scene quality encoding https://github.com/master-of-zen/Av1an
avogadrolibs-qt5             Qt 5 modules for Avogadro https://www.openchemistry.org/
aws-c-sdkutils               AWS SDK utility library https://github.com/awslabs/aws-c-sdkutils
bootconfig                   Apply, delete or show boot config to initrd https://www.kernel.org
cargo-feature                Conveniently modify dependency features https://github.com/Riey/cargo-feature
cargo-pgx                    Build PostgreSQL extensions with Rust https://github.com/zombodb/pgx
cmctl                        Automatically provision and manage TLS certificates in Kubernetes https://github.com/jetstack/cert-manager
ct                           config transpiler for Flatcar Container Linux https://github.com/flatcar-linux/container-linux-config-transpiler
datree                       CLI tool to ensure K8s manifests and Helm charts follow best practices as well as your organization’s policies https://github.com/datreeio/datree
dbmate                       A lightweight, framework-agnostic database migration tool https://github.com/amacneil/dbmate
devhelp-docs                 API documentation browser for GNOME (documentation) https://wiki.gnome.org/Apps/Devhelp
dpdk                         A set of libraries and drivers for fast packet processing http://dpdk.org
fsverity-utils               Userspace utilities for fs-verity https://git.kernel.org/pub/scm/linux/kernel/git/ebiggers/fsverity-utils.git
globalprotect-openconnect    A GlobalProtect VPN GUI client based on Openconnect and built with Qt5, supports SAML auth mode https://github.com/yuezk/GlobalProtect-openconnect
gnome-control-center-cosmic  GNOME main interface to configure various aspects of the desktop (with Pop!_OS COSMIC patches) https://gitlab.gnome.org/GNOME/gnome-control-center
gnome-shell-extension-cosmic-dock Cosmic Dock for GNOME Shell https://github.com/pop-os/gnome-shell-extension-ubuntu-dock
gnome-shell-extension-cosmic-workspaces Bringing back vertically stacked workspaces (Pop!_OS Vertical Overview fork) https://github.com/pop-os/cosmic-workspaces
gsocket                      Global Socket moving data from here to there securely, fast and trough NAT/Firewalls https://www.gsocket.io/
jami-qt                      Free and universal communication platform which preserves the users’ privacy and freedoms (Qt client) https://jami.net
jenv                         Manage your Java environment https://github.com/jenv/jenv
kubeconform                  FAST Kubernetes manifests validator, with support for Custom Resources! https://github.com/yannh/kubeconform
lib****
linux414-nvidia-470xx        NVIDIA drivers for linux. http://www.nvidia.com/
linux419-nvidia-470xx        NVIDIA drivers for linux. http://www.nvidia.com/
linux44-nvidia-470xx         NVIDIA drivers for linux. http://www.nvidia.com/
linux44-rtl8723bu            A kernel module for Realtek 8723bu network cards http://www.realtek.com.tw
linux49-nvidia-470xx         NVIDIA drivers for linux. http://www.nvidia.com/
linux49-rtl8723bu            A kernel module for Realtek 8723bu network cards http://www.realtek.com.tw
linux510-nvidia-470xx        NVIDIA drivers for linux. http://www.nvidia.com/
linux510-rt-nvidia-470xx     NVIDIA drivers for linux. http://www.nvidia.com/
linux513-nvidia-470xx        NVIDIA drivers for linux. http://www.nvidia.com/
linux514-nvidia-470xx        NVIDIA drivers for linux. http://www.nvidia.com/
linux515-nvidia-470xx        NVIDIA drivers for linux. http://www.nvidia.com/
linux515-rtl8723bu           A kernel module for Realtek 8723bu network cards http://www.realtek.com.tw
linux515-vhba-module         Kernel module that emulates SCSI devices http://cdemu.sourceforge.net/
linux515-zfs                 Kernel modules for the Zettabyte File System. http://zfsonlinux.org/
linux516                     The Linux516 kernel and modules https://www.kernel.org/
linux516-headers             Header files and scripts for building modules for Linux516 kernel https://www.kernel.org/
linux516-nvidia-470xx        NVIDIA drivers for linux. http://www.nvidia.com/
linux54-nvidia-470xx         NVIDIA drivers for linux. http://www.nvidia.com/
lowdown                      A simple Markdown translator https://kristaps.bsd.lv/lowdown
lttng-ust2.12                LTTng user space tracing libraries for LTTng https://lttng.org/
mhwd-nvidia-470xx            MHWD module-ids for nvidia 470.86 http://www.nvidia.com/
mokutil                      Shim.efi Machine Owner Key management tool https://github.com/lcp/mokutil
nodejs-lts-gallium           Evented I/O for V8 javascript (LTS release https://nodejs.org/
nvidia-470xx-dkms            NVIDIA drivers - module sources http://www.nvidia.com/
nvidia-470xx-utils           NVIDIA drivers utilities http://www.nvidia.com/
octopi                       A powerful Pacman frontend using Qt5 libs http://octopiproject.wordpress.com
octopi-notifier-frameworks   Notifier for Octopi with Knotifications support http://octopiproject.wordpress.com
octopi-notifier-qt5          Notifier for Octopi using Qt5 libs http://octopiproject.wordpress.com
opencl-nvidia-470xx          OpenCL implemention for NVIDIA http://www.nvidia.com/
opencv-cuda                  Open Source Computer Vision Library (with CUDA support) https://opencv.org/
perl-yaml-pp                 Simple configuration automation http://search.cpan.org/dist/YAML-PP
pipewire-media-session-docs  Example session manager for PipeWire - documentation https://gitlab.freedesktop.org/pipewire/media-session
pipewire-v4l2                Low-latency audio/video router and processor - V4L2 interceptor https://pipewire.org
pop-cosmic                   Computer Operating System Main Interface Components https://github.com/pop-os/cosmic
pop-desktop-widget           Pop Desktop Settings Widget https://github.com/pop-os/desktop-widget
pop-gnome-shell-theme        Pop GNOME Shell Theme https://github.com/pop-os/gtk-theme
pop-gtk-theme                Pop GTK Theme https://github.com/pop-os/gtk-theme
pop-icon-theme               Pop Icons https://github.com/pop-os/icon-theme
pop-sound-theme              Pop sound theme https://github.com/pop-os/gtk-theme
python-aiosignal             List of registered asynchronous callbacks https://github.com/aio-libs/aiosignal
python-frozenlist            FrozenList is a list-like structure which can be made immutable https://github.com/aio-libs/frozenlist
python-*******
qgnomeplatform-qt6           QPlatformTheme for a better Qt6 application inclusion in GNOME https://github.com/FedoraQt/QGnomePlatform
rocksndiamonds-contrib       more rockndiamonds levels https://www.artsoft.org/rocksndiamonds/
ropr                         Blazing fast multithreaded ROP Gadget finder https://github.com/Ben-Lichtman/ropr
rust-src                     Source code for the Rust standard library https://www.rust-lang.org/
rust-wasm                    WebAssembly targets for Rust https://www.rust-lang.org/
schemacrawler                Free database schema discovery and comprehension tool https://www.schemacrawler.com
sscg                         Simple Signed Certificate Generator https://github.com/sgallagher/sscg
stochas                      A probabilistic polyrhythmic sequencer https://surge-synth-team.org/stochas
testu01                      A library offering a collection of utilities for the empirical statistical testing of uniform random number generators http://simul.iro.umontreal.ca/testu01/tu01.html
ttf-roboto-slab              Roboto Slab Typeface by Google https://fonts.google.com/specimen/Roboto+Slab
v4l2loopback-utils           v4l2-loopback device – utilities only https://github.com/umlaeute/v4l2loopback
wails                        Create desktop apps using Go and Web Technologies https://github.com/wailsapp/wails
wasi-compiler-rt             WASI LLVM compiler runtime https://compiler-rt.llvm.org/
wasmtime                     Standalone JIT-style runtime for WebAssembly, using Cranelift https://github.com/bytecodealliance/wasmtime
webkit2gtk-4.1               Web content engine for GTK https://webkitgtk.org
webkit2gtk-5.0               Web content engine for GTK https://webkitgtk.org
xdg-desktop-portal-gnome     A backend implementation for xdg-desktop-portal for the GNOME desktop environment https://gitlab.gnome.org/GNOME/xdg-desktop-portal-gnome
yt-dlp                       A youtube-dl fork with additional features and fixes https://github.com/yt-dlp/yt-dlp
zellij                       A terminal multiplexer https://zellij.dev
zsa-udev                     Udev rules for ZSA Keyboards https://github.com/zsa/wally
zsa-wally                    Flash your ZSA Keyboard the EZ way https://github.com/zsa/wally
zsa-wally-cli                Flash your ZSA Keyboard the EZ way https://github.com/zsa/wally-cli

-------------------------------------------------------------------------------------


-------------------------------------------------------------------------------------
ERREUR : conflit de fichiers
Si lors de la mise à jour vous avez le type d'erreur comme ci-dessous (tlp est un exemple) :

erreur : la validation de la transaction a échoué (conflit de fichiers)
tlp : /etc/acpi/thinkpad est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
il convient de passer la commande suivante en l'adaptant à votre cas particulier :

sudo pacman -S nom_paquet --overwrite '/etc/acpi/thinkpad'
Ensuite, vous pouvez faire votre mise à jour générale sans problème.
-------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------
Problèmes liés à la synchronisation des miroirs

pacman-mirrors || sudo pacman-mirrors --continent; sudo pacman -Syu
Cette commande pacman-mirrorsva analyser le status des miroirs; si OK=> Synchronisation et Mise à jour.
Si KO, pacman-mirrors --continent synchronisera les miroirs les plus proches de votre situation géographique.
Attention si vous utilisez un vpn, dans ce cas, l'option -f0 sera plus appropriée. Ensuite la Mise à jour se lancera normalement.
-------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------
ERREUR de clés

Si lors de la mise à jour vous avez des problèmes de clés, essayez de passer les commandes suivantes :

sudo pacman -Syy
sudo pacman -S archlinux-keyring manjaro-keyring
sudo pacman-key --init
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
Ensuite, vous devriez pouvoir faire votre mise à jour générale sans problème.

-------------------------------------------------------------------------------------

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#2Messageil y a 9 mois

Il y a de quoi manger 🙆‍♂️
Fait sans problème avec cinnamon
🏋️‍♂️275 paquets et plus de 1.4Go à télécharger
🕵 2 pacnew (uniquement)

---------
kde:
404 paquets et 2Go à télécharger :mrgreen: ....
Téléchargement fait, mais update pour plus tard

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#3Messageil y a 9 mois

Fait sans problème avec KDE et beaucoup d'applications ... :
531 paquets et 3,25 Go de téléchargement (ça commence à faire une belle mise à jour!)
mais comme toujours, c'est passé tout seul. :clap:clap:clap et merci

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#4Messageil y a 9 mois

bonsoir, maj de 460 paquets sous KDE mais problème au redémarrage, l'ecra reste bloqué sur le logo Asus, j'ai rétrogradé sur le kernel 5.14 mais idem.

une solution ?

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#5Messageil y a 9 mois

Bonjour, :bjr:

Je viens de faire la nouvelle maj et oh! surprise!
Dans les effets de bureau, le bureau en cube a disparu !! :shock:

C'est une blague ??

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#6Messageil y a 9 mois

Non, pas une blague et annoncé depuis septembre par kde, d'autres effets disparaissaient aussi...
Depuis l'annonce, il y a eu beaucoup de "fâchés" , un pourrait revenir:
https://invent.kde.org/plasma/kdeplasma ... quests/91/

@jeanluck
Si après le logo c'est que grub ne se lance pas ? donc rien à voir avec le kernel (lancé après grub)
réinstaller grub me semble la première chose à faire...
ps: tu es avec nvidia et, avec cette maj il y a un nouveau driver 470 (une autre piste ?)

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#7Messageil y a 9 mois

Bonjour
j'ai fait la mise à jour de KDE et le bureau en cube est toujours présent : c'est donc un mystère entre ce que vous constatez et ce que j'ai sur ma machine. Le cube tourne avec la molette de la souris et j'ai bien comme précédemment 4 images différentes sur les 4 faces du cube avec l'application "Vallpaper"

Donc pour moi la mise à jour de KDE n'a rien enlevé aux effets de bureau.

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#8Messageil y a 9 mois

papajoke a écrit : il y a 9 mois @jeanluck
Si après le logo c'est que grub ne se lance pas ? donc rien à voir avec le kernel (lancé après grub)
réinstaller grub me semble la première chose à faire...
ps: tu es avec nvidia et, avec cette maj il y a un nouveau driver 470 (une autre piste ?)
si, le grub se lance puisque je peux changer de kernel, c'est juste après que le logo s'affiche et que ça bloque.

Je pense que le nouveau driver pour nvidia n'est pas bien installé, comment faire pour remédier à ce problème ?

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#9Messageil y a 9 mois

a voir avec une USB live manjaro en chroot dans les log
a verifier si c'est la version 470 qui pose probleme ,
ou un passage a la version 495 ....
==> log journal

verifie aussi

sudo mhwd -li 
Dernière modification par stephaneil y a 9 mois, modifié au total 1 fois.

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#10Messageil y a 9 mois

mise a jour gnome ras :clap

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#11Messageil y a 9 mois

Bonjour

informations complémentaires importantes AVANT la maj
1) bien lire sur le lien manjaro.org le premier post , AVANT de lancer la maj

2) Vérifier avant ce que vous avez comme noyau actif et drivers vidéos

sudo mhwd-kernel -li
sudo mhwd -li

3) pour les ordi Intel type skylake et plus , RESTEZ sur un noyau 5.14 , le 5.15 pose des soucis au niveau drm - i915

4) pour ceux qui ont une carte Nvidia , vérifier la version avant :
soit 470 , soit 340 , soit 390 ou nouveau
pour ceux qui ont la serie 470 , vérifier bien après ( sudo mhwd -li ) que linux-nvidia apparait
sinon

sudo mhwd -i pci video-nvidia 
pour la verification des cartes qui basculent en nouveau ( fin de support nvidia Fermi )
https://nvidia.custhelp.com/app/answers ... force-gpus

nvidia-390xx is not compatible to Xorg-Server 21.1.1 yet. This was already reported in April this year and we gave another hint this month. Since Nvidia didn’t respond in time we decided to do a workaround, since not so much got changed in Xorg-Server after all. Therefore we added the file

/etc/X11/xorg.conf.d/30-nvidia-ignoreabi.conf
with following content:

Section "ServerFlags"
  Option "IgnoreABI" "1"
EndSection
Fermi users 4 should really think about replacing their GPU or change to Nouveau drivers at some point.
Nvidia 495xx driver series drops Keppler support. A way to use 470xx driver series still

With the new 495xx driver series a lot of Wayland adjustments got added. Also Nvidia decided to remove Kepler support 17. Therefore you may want to switch drivers to 470xx series, which still supports those graphic cards:

https://nvidia.custhelp.com/app/answers ... sktop-gpus

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-nvidia-470xx
Dernière modification par stephaneil y a 9 mois, modifié au total 5 fois.

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#12Messageil y a 9 mois

Merci stephane :merci: sortie du "piège" nvidia avec l'évolution de la serie 495.

Pour le reste tout va bien :mrgreen:

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#13Messageil y a 9 mois

Bonjour à tous :sourire:

@stephane
Excuse mes lacunes, mais les problèmes avec les cartes Nvidia c'est uniquement pour ceux qui ont installé les drivers propriétaires ?

Je suis confu parce-que d'un côté je vois que j'ai les drivers open-source :

sudo mhwd -li -d
   NAME:	video-linux
   ATTACHED:	PCI
   VERSION:	2018.05.04
   INFO:	Standard open source drivers.
   PRIORITY:	2
   FREEDRIVER:	true
   DEPENDS:	-
   CONFLICTS:	-
   CLASSIDS:	0300 0380 0302 
   VENDORIDS:	1002 8086 10de 
et d'un autre, j'ai ces paquets (390 et 470) :

yay -Qs nvidia
local/lib32-libvdpau 1.4-1
    Nvidia VDPAU library
local/libvdpau 1.4-1
    Nvidia VDPAU library
local/libxnvctrl 470.63.01-1
    NVIDIA NV-CONTROL X extension
local/mhwd-nvidia 470.63.01-1
    MHWD module-ids for nvidia 470.63.01
local/mhwd-nvidia-390xx 390.144-1
    MHWD module-ids for nvidia 390.144
local/xf86-video-nouveau 1.0.17-1 (xorg-drivers)
    Open Source 3D acceleration driver for nVidia cards
Je suis paumé.

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#14Messageil y a 9 mois

stephane a écrit : il y a 9 mois Bonjour

informations complémentaires importantes AVANT la maj
1) bien lire sur le lien manjaro.org le premier post , AVANT de lancer la maj

2) Vérifier avant ce que vous avez comme noyau actif et drivers vidéos

sudo mhwd-kernel -li
sudo mhwd -li

3) pour les ordi Intel type skylake et plus , RESTEZ sur un noyau 5.14 , le 5.15 pose des soucis au niveau drm - i915

4) pour ceux qui ont une carte Nvidia , vérifier la version avant :
soit 470 , soit 340 , soit 390 ou nouveau
pour ceux qui ont la serie 470 , vérifier bien après ( sudo mhwd -li ) que linux-nvidia apparait
sinon

sudo mhwd -i pci video-nvidia 
pour la verification des cartes qui basculent en nouveau ( fin de support nvidia Fermi )
https://nvidia.custhelp.com/app/answers ... force-gpus

nvidia-390xx is not compatible to Xorg-Server 21.1.1 yet. This was already reported in April this year and we gave another hint this month. Since Nvidia didn’t respond in time we decided to do a workaround, since not so much got changed in Xorg-Server after all. Therefore we added the file

/etc/X11/xorg.conf.d/30-nvidia-ignoreabi.conf
with following content:

Section "ServerFlags"
  Option "IgnoreABI" "1"
EndSection
Fermi users 4 should really think about replacing their GPU or change to Nouveau drivers at some point.
Nvidia 495xx driver series drops Keppler support. A way to use 470xx driver series still

With the new 495xx driver series a lot of Wayland adjustments got added. Also Nvidia decided to remove Kepler support 17. Therefore you may want to switch drivers to 470xx series, which still supports those graphic cards:

https://nvidia.custhelp.com/app/answers ... sktop-gpus

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-nvidia-470xx
j'ai un laptop avec une 540m donc fermi... Noyau 5.4, jusqu'ici je n'ai jamais eu de soucis avec le pilote 390... je dois basculer sur nouveau avant de faire la maj ?

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#15Messageil y a 9 mois

@matt_44

2 possibilités
- soit tu tente de rester sur le 390 , mais tu dois modifier fichier conf Xorg avant , et vérifier après maj à nouveau le fichier et redémarrer

sinon
-tu bascule en driver libres ( après maj et avant de redémarrer )

 sudo mhwd -a pci free 0300 
 
@inadapté
il faut comprendre ce que ces commandes font
rechercher par pacman -Qs nvidia va ressortir tous les paquets installés , cela ne veut pas dire que le driver est chargé et utilisé

dans le cas de mhwd , ce sont des scripts donc ils seront toujours présents et installés

que retourne ces 3 commandes ?

inxi -Fza
sudo mhwd-kernel -li
sudo mhwd -li

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#16Messageil y a 9 mois

« Installé mais pas forcement utilisé »
Je comprends déjà un peu mieux.

L'antre de mon Tuxedo Polaris :

inxi -Fza

System:    Kernel: 5.14.10-1-MANJARO x86_64 bits: 64 compiler: gcc v: 11.1.0
           parameters: BOOT_IMAGE=/@/boot/vmlinuz-5.14-x86_64 root=UUID=d433d4ea-e3ec-4668-9a40-c8ee766e5e00 rw
           rootflags=subvol=@ quiet apparmor=1 security=apparmor udev.log_priority=3
           Desktop: Xfce 4.16.0 tk: Gtk 3.24.29 info: xfce4-panel wm: xfwm 4.16.1 vt: 7 dm: LightDM 1.30.0
           Distro: Manjaro Linux base: Arch Linux
Machine:   Type: Laptop System: TUXEDO product: TUXEDO Polaris AMD Gen3 (CZN) v: Standard serial: <filter>
           Mobo: NB02 model: GMxZGxx v: Standard serial: <filter> UEFI: American Megatrends LLC. v: N.1.24A10
           date: 09/07/2021
Battery:   ID-1: BAT0 charge: 34.9 Wh (56.0%) condition: 62.3/62.3 Wh (100.0%) volts: 16.4 min: 15.2 model: standard
           type: Li-ion serial: <filter> status: Charging
CPU:       Info: 8-Core model: AMD Ryzen 7 5800H with Radeon Graphics bits: 64 type: MT MCP arch: Zen 3 family: 19 (25)
           model-id: 50 (80) stepping: 0 microcode: A50000C cache: L2: 4 MiB
           flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm bogomips: 102241
           Speed: 1297 MHz min/max: 1200/3200 MHz boost: enabled Core speeds (MHz): 1: 1297 2: 1660 3: 2716 4: 1222
           5: 1579 6: 1297 7: 1545 8: 1476 9: 1983 10: 1173 11: 1701 12: 1288 13: 1468 14: 1160 15: 1691 16: 1173
           Vulnerabilities: Type: itlb_multihit status: Not affected
           Type: l1tf status: Not affected
           Type: mds status: Not affected
           Type: meltdown status: Not affected
           Type: spec_store_bypass mitigation: Speculative Store Bypass disabled via prctl and seccomp
           Type: spectre_v1 mitigation: usercopy/swapgs barriers and __user pointer sanitization
           Type: spectre_v2 mitigation: Full AMD retpoline, IBPB: conditional, IBRS_FW, STIBP: always-on, RSB filling
           Type: srbds status: Not affected
           Type: tsx_async_abort status: Not affected
Graphics:  Device-1: NVIDIA GA106M [GeForce RTX 3060 Mobile / Max-Q] vendor: Tongfang Hongkong Limited driver: N/A
           alternate: nouveau bus-ID: 01:00.0 chip-ID: 10de:2520 class-ID: 0300
           Device-2: Advanced Micro Devices [AMD/ATI] Cezanne vendor: Tongfang Hongkong Limited driver: amdgpu v: kernel
           bus-ID: 06:00.0 chip-ID: 1002:1638 class-ID: 0300
           Display: x11 server: X.Org 1.20.13 compositor: xfwm4 v: 4.16.1 driver: loaded: amdgpu,ati
           unloaded: modesetting alternate: fbdev,vesa display-ID: :0.0 screens: 1
           Screen-1: 0 s-res: 1920x1080 s-dpi: 96 s-size: 508x285mm (20.0x11.2") s-diag: 582mm (22.9")
           Monitor-1: eDP res: 1920x1080 dpi: 128 size: 382x215mm (15.0x8.5") diag: 438mm (17.3")
           OpenGL: renderer: AMD RENOIR (DRM 3.42.0 5.14.10-1-MANJARO LLVM 12.0.1) v: 4.6 Mesa 21.2.3 direct render: Yes
Audio:     Device-1: NVIDIA vendor: Tongfang Hongkong Limited driver: snd_hda_intel v: kernel bus-ID: 01:00.1
           chip-ID: 10de:228e class-ID: 0403
           Device-2: Advanced Micro Devices [AMD] Raven/Raven2/FireFlight/Renoir Audio Processor
           vendor: Tongfang Hongkong Limited driver: N/A alternate: snd_pci_acp3x, snd_rn_pci_acp3x bus-ID: 06:00.5
           chip-ID: 1022:15e2 class-ID: 0480
           Device-3: Advanced Micro Devices [AMD] Family 17h HD Audio vendor: Tongfang Hongkong Limited
           driver: snd_hda_intel v: kernel bus-ID: 06:00.6 chip-ID: 1022:15e3 class-ID: 0403
           Sound Server-1: ALSA v: k5.14.10-1-MANJARO running: yes
           Sound Server-2: JACK v: 1.9.19 running: no
           Sound Server-3: PulseAudio v: 15.0 running: yes
           Sound Server-4: PipeWire v: 0.3.38 running: no
Network:   Device-1: Realtek RTL8125 2.5GbE vendor: Tongfang Hongkong Limited driver: r8169 v: kernel port: e000
           bus-ID: 02:00.0 chip-ID: 10ec:8125 class-ID: 0200
           IF: enp2s0 state: down mac: <filter>
           Device-2: Intel Wi-Fi 6 AX200 driver: iwlwifi v: kernel bus-ID: 04:00.0 chip-ID: 8086:2723 class-ID: 0280
           IF: wlp4s0 state: up mac: <filter>
           IF-ID-1: tun0 state: unknown speed: 10 Mbps duplex: full mac: N/A
Bluetooth: Device-1: Intel AX200 Bluetooth type: USB driver: btusb v: 0.8 bus-ID: 3-4:4 chip-ID: 8087:0029 class-ID: e001
           Report: rfkill ID: hci0 rfk-id: 5 state: down bt-service: enabled,running rfk-block: hardware: no
           software: yes address: see --recommends
Drives:    Local Storage: total: 1.38 TiB used: 1.13 TiB (82.0%)
           SMART Message: Required tool smartctl not installed. Check --recommends
           ID-1: /dev/nvme0n1 maj-min: 259:2 vendor: Samsung model: SSD 970 PRO 512GB size: 476.94 GiB block-size:
           physical: 512 B logical: 512 B speed: 31.6 Gb/s lanes: 4 type: SSD serial: <filter> rev: 1B2QEXP7 temp: 32.9 C
           scheme: GPT
           ID-2: /dev/nvme1n1 maj-min: 259:0 vendor: Kingston model: SA2000M81000G size: 931.51 GiB block-size:
           physical: 512 B logical: 512 B speed: 31.6 Gb/s lanes: 4 type: SSD serial: <filter> rev: S5Z44106 temp: 34.9 C
           scheme: GPT
Partition: ID-1: / raw-size: 476.43 GiB size: 476.43 GiB (100.00%) used: 268.02 GiB (56.3%) fs: btrfs dev: /dev/nvme0n1p2
           maj-min: 259:4
           ID-2: /boot/efi raw-size: 512 MiB size: 511 MiB (99.80%) used: 568 KiB (0.1%) fs: vfat dev: /dev/nvme0n1p1
           maj-min: 259:3
           ID-3: /home raw-size: 476.43 GiB size: 476.43 GiB (100.00%) used: 268.02 GiB (56.3%) fs: btrfs
           dev: /dev/nvme0n1p2 maj-min: 259:4
           ID-4: /var/log raw-size: 476.43 GiB size: 476.43 GiB (100.00%) used: 268.02 GiB (56.3%) fs: btrfs
           dev: /dev/nvme0n1p2 maj-min: 259:4
Swap:      Alert: No swap data was found.
Sensors:   System Temperatures: cpu: 50.0 C mobo: N/A gpu: amdgpu temp: 46.0 C
           Fan Speeds (RPM): N/A
Info:      Processes: 470 Uptime: 2d 4h 23m wakeups: 33816 Memory: 15.04 GiB used: 7.18 GiB (47.8%) Init: systemd v: 249
           tool: systemctl Compilers: gcc: 11.1.0 Packages: pacman: 1443 lib: 357 flatpak: 0 Shell: Bash v: 5.1.8
           running-in: tilix inxi: 3.3.08

sudo mhwd-kernel -li

Currently running: 5.14.10-1-MANJARO (linux514)
The following kernels are installed in your system:
   * linux510
   * linux514

sudo mhwd -li

> Installed PCI configs:
--------------------------------------------------------------------------------
                  NAME               VERSION          FREEDRIVER           TYPE
--------------------------------------------------------------------------------
           video-linux            2018.05.04                true            PCI


Warning: No installed USB configs!

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#17Messageil y a 9 mois

Salut,
⋐ ʟ·ɪɴᴀᴅᴀᴩᴛé ⋑ a écrit : il y a 9 mois « Installé mais pas forcement utilisé »
Je comprends déjà un peu mieux.

Device-1: NVIDIA GA106M [GeForce RTX 3060 Mobile / Max-Q] vendor: Tongfang Hongkong Limited driver: N/A

Device-2: Advanced Micro Devices [AMD/ATI] Cezanne vendor: Tongfang Hongkong Limited driver: amdgpu
N/A pour non available, donc indisponible, ce qui veut dire que le pilote pour la carte Nvidia n'est pas chargé, pour l'instant ça fonctionne avec la carte AMD.

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#18Messageil y a 9 mois

a voir ce que retourne

sudo mhwd -l -d 
la priorité la plus haute est conseillé.
la carte Nvidia est sur pci dédié ou bien est en gestion hybride ?

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#19Messageil y a 9 mois

@stephane

sudo mhwd -l -d renvoie :

--------------------------------------------------------------------------------
> PCI Device: /devices/pci0000:00/0000:00:01.1/0000:01:00.0 (0300:10de:2520)
  Display controller nVidia Corporation GA106M [GeForce RTX 3060 Mobile / Max-Q]
--------------------------------------------------------------------------------
  > INSTALLED:

   NAME:	video-linux
   ATTACHED:	PCI
   VERSION:	2018.05.04
   INFO:	Standard open source drivers.
   PRIORITY:	2
   FREEDRIVER:	true
   DEPENDS:	-
   CONFLICTS:	-
   CLASSIDS:	0300 0380 0302 
   VENDORIDS:	1002 8086 10de 



  > AVAILABLE:

   NAME:	video-hybrid-amd-nvidia-prime
   ATTACHED:	PCI
   VERSION:	2021.07.28
   INFO:	Hybrid prime solution for NVIDIA Optimus Technology - Closed source NVIDIA driver & open source amd driver.
   PRIORITY:	7
   FREEDRIVER:	false
   DEPENDS:	video-linux 
   CONFLICTS:	video*nvidia* 
   CLASSIDS:	0300 0302 0300 
   VENDORIDS:	10de 1002 

   NAME:	video-nvidia
   ATTACHED:	PCI
   VERSION:	2020.11.30
   INFO:	Closed source NVIDIA drivers for linux.
   PRIORITY:	4
   FREEDRIVER:	false
   DEPENDS:	-
   CONFLICTS:	video*nvidia* 
   CLASSIDS:	0300 0302 
   VENDORIDS:	10de 

   NAME:	video-linux
   ATTACHED:	PCI
   VERSION:	2018.05.04
   INFO:	Standard open source drivers.
   PRIORITY:	2
   FREEDRIVER:	true
   DEPENDS:	-
   CONFLICTS:	-
   CLASSIDS:	0300 0380 0302 
   VENDORIDS:	1002 8086 10de 

   NAME:	video-modesetting
   ATTACHED:	PCI
   VERSION:	2020.01.13
   INFO:	X.org modesetting video driver.
   PRIORITY:	1
   FREEDRIVER:	true
   DEPENDS:	-
   CONFLICTS:	-
   CLASSIDS:	0300 
   VENDORIDS:	* 

   NAME:	video-vesa
   ATTACHED:	PCI
   VERSION:	2017.03.12
   INFO:	X.org vesa video driver.
   PRIORITY:	0
   FREEDRIVER:	true
   DEPENDS:	-
   CONFLICTS:	-
   CLASSIDS:	0300 
   VENDORIDS:	* 


--------------------------------------------------------------------------------
> PCI Device: /devices/pci0000:00/0000:00:08.1/0000:06:00.0 (0300:1002:1638)
  Display controller ATI Technologies Inc Cezanne
--------------------------------------------------------------------------------
  > INSTALLED:

   NAME:	video-linux
   ATTACHED:	PCI
   VERSION:	2018.05.04
   INFO:	Standard open source drivers.
   PRIORITY:	2
   FREEDRIVER:	true
   DEPENDS:	-
   CONFLICTS:	-
   CLASSIDS:	0300 0380 0302 
   VENDORIDS:	1002 8086 10de 



  > AVAILABLE:

   NAME:	video-hybrid-amd-nvidia-prime
   ATTACHED:	PCI
   VERSION:	2021.07.28
   INFO:	Hybrid prime solution for NVIDIA Optimus Technology - Closed source NVIDIA driver & open source amd driver.
   PRIORITY:	7
   FREEDRIVER:	false
   DEPENDS:	video-linux 
   CONFLICTS:	video*nvidia* 
   CLASSIDS:	0300 0302 0300 
   VENDORIDS:	10de 1002 

   NAME:	video-linux
   ATTACHED:	PCI
   VERSION:	2018.05.04
   INFO:	Standard open source drivers.
   PRIORITY:	2
   FREEDRIVER:	true
   DEPENDS:	-
   CONFLICTS:	-
   CLASSIDS:	0300 0380 0302 
   VENDORIDS:	1002 8086 10de 

   NAME:	video-modesetting
   ATTACHED:	PCI
   VERSION:	2020.01.13
   INFO:	X.org modesetting video driver.
   PRIORITY:	1
   FREEDRIVER:	true
   DEPENDS:	-
   CONFLICTS:	-
   CLASSIDS:	0300 
   VENDORIDS:	* 

   NAME:	video-vesa
   ATTACHED:	PCI
   VERSION:	2017.03.12
   INFO:	X.org vesa video driver.
   PRIORITY:	0
   FREEDRIVER:	true
   DEPENDS:	-
   CONFLICTS:	-
   CLASSIDS:	0300 
   VENDORIDS:	* 


Warning: no configs for USB devices found!
Ça semble être une gestion hybride, non ?

@Smurf

Si le pilote de la carte Nvidia n'est pas chargé, je n'ai pas à craindre la mise à jour alors ?

[Stable] Mise à jour 19/11/2021 - Kernels, Gnome 41.1, Plasma, LxQt 1.0, Xorg-Server, Mesa

#20Messageil y a 9 mois

Bonjour,

Quand j'essaye de mettre à jour mon Xfce j'obtiens :
:: Starting full system upgrade...
:: Replace xdg-desktop-portal-gtk with extra/xdg-desktop-portal-gnome? [Y/n] y
resolving dependencies...
looking for conflicting packages...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: pipewire-media-session and wireplumber are in conflict
Que faire ?

Merci.
Répondre